% GNM_abtast_ini.m
% Kap. 10.5.1 und 10.5.2
% Initialisierungsdatei fr GNM_abtast.mdl

% Parameter der Gleichstrom-Nebenschluss-Maschine:

RA      = 0.25;    % Widerstand [Ohm]
LA      = 0.004;   % Induktivitt [H]
psi     = 0.04;    % Fluss [Vs]
CE      = 240.02;  % Motorkonstante
CM      = CE/2/pi;
J       = 0.012;   % Trgheitsmoment [kg m^2]

Mw      = 10;      % Widerstandsmoment [Nm]

% Stellglied (PWM)

Fpwm    = 5000;    % Frequenz PWM [Hz]
Umax    = 200;     % Zwischenkreisspannung [V]

Ts      = 0.0008;  % Abtastzeit [s]

Tstr    = Ts/2 ;   % Ersatzzeitkonstante PWM fr 
                   % Stromreglerentwurf


% analoger Stromregler
VRI     = LA/(2*Tstr);  % Stromregler Verstaerkung
TRI     = LA/RA;        % Stromregler Zeitkonstante

% Diskretisierung Stromregler
i_regler   = tf (VRI*[TRI 1], [TRI 0]); % Erzeugt kontinuierliche -Ftn.
i_diskret  = c2d (i_regler, Ts, 'zoh'); % Umwandeln in Abtastsystem
[Bd, Ad]   = tfdata (i_diskret, 'v');   % Ausgabe Zhler-, Nennervektor


% analoger Drehzahlregler
N_soll     = 1000 / 60;                 % Solldrehzahl [rad/s]

VRN        = 2*pi*J/(4*Tstr*CM*psi);    % Drehzahlregler Verstaerkung
TRN        = 8*Tstr;                    % Drehzahlregler Zeitkonstante

% Stromgrenze fr Anti-Windup
IAmax      = 20;
